cut_interval {ggplot2} | R Documentation

## Cut up numeric vector into useful groups.

### Description

`cut_interval` makes `n` groups with equal range, `cut_number` makes `n` groups with (approximately) equal numbers of observations; `cut_width` makes groups of width `width`.

### Usage

    cut_interval(x, n = NULL, length = NULL, ...)

    cut_number(x, n = NULL, ...)

    cut_width(x, width, center = NULL, boundary = NULL, closed = c("right",
      "left"))

### Arguments

`x` | numeric vector
`n` | number of intervals to create, OR
`length` | length of each interval
`...` | other arguments passed on to `cut`
`width` | The bin width.
`center, boundary` | Specify either the position of edge or the center of a bin. Since all bins are aligned, specifying the position of a single bin (which doesn't need to be in the range of the data) affects the location of all bins. If not specified, uses the "tile layers algorithm", and sets the boundary to half of the binwidth. To center on integers, `width = 1` and `center = 0`. `boundary = 0.5`.
`closed` | One of `"right"` or `"left"` indicating whether right or left edges of bins are included in the bin.

### Author(s)

Randall Prium contributed most of the implementation of `cut_width`.

### See Also

`cut_number`

### Examples

    table(cut_interval(1:100, 10))
    table(cut_interval(1:100, 11))

    table(cut_number(runif(1000), 10))

    table(cut_width(runif(1000), 0.1))
    table(cut_width(runif(1000), 0.1, boundary = 0))
    table(cut_width(runif(1000), 0.1, center = 0))

[Package ggplot2 version 2.1.0 Index]